# Uses of Class
org.springframework.expression.spel.SpelEvaluationException

Packages that use SpelEvaluationException
Package
Description
org.springframework.expression.spel.ast
SpEL's abstract syntax tree.
org.springframework.expression.spel.support
SpEL's default implementations for various core abstractions.

## Uses of SpelEvaluationException in org.springframework.expression.spel.ast

Methods in org.springframework.expression.spel.ast that throw SpelEvaluationException
Modifier and Type
Method
Description
`final TypedValue`
Literal.`getValueInternal(ExpressionState state)`
`TypedValue`
VariableReference.`getValueInternal(ExpressionState state)`
`ValueRef`
VariableReference.`getValueRef(ExpressionState state)`
`boolean`
Indexer.`isWritable(ExpressionState expressionState)`
`boolean`
VariableReference.`isWritable(ExpressionState expressionState)`

## Uses of SpelEvaluationException in org.springframework.expression.spel.support

Methods in org.springframework.expression.spel.support that throw SpelEvaluationException
Modifier and Type
Method
Description
`int`
StandardTypeComparator.`compare(Object left, Object right)`
`static boolean`
ReflectionHelper.`convertAllArguments(TypeConverter converter, Object[] arguments, Method method)`
Convert the supplied set of arguments into the parameter types of the supplied `Method`.